%global debug_package %{nil}
%global pkg_name pyinstaller_hooks_contrib
Name:		pyinstaller-hooks-contrib
Version:	2021.3
Release:	1%{?dist}
Summary:	In summary, a "hook" file extends PyInstaller to adapt it to the special needs and methods used by a Python package. The word "hook" is used for two kinds of files. A runtime hook helps the bootloader to launch an app, setting up the environment. A package hook (there are several types of those) tells PyInstaller what to include in the final app - such as the data files and (hidden) imports mentioned above. This repository is a collection of hooks for many packages, and allows PyInstaller to work with these packages seamlessly.

License:	GPL
URL:		http://www.pyinstaller.org/
Source0:	%{name}-%{version}.tar.gz

%description
%{summary}

%package -n python%{python3_pkgversion}-%{pkg_name}
Summary:	%{summary}
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-wheel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-setuptools-wheel
Requires:       python%{python3_pkgversion}-setuptools
Provides:	python%{python3_pkgversion}-%{name} = %{version}-%{release}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{name}}

%description -n python%{python3_pkgversion}-%{pkg_name}
%{summary}

%prep
%autosetup

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pkg_name}
%{python3_sitelib}/_%{pkg_name}/*
%{python3_sitelib}/%{pkg_name}-%{version}-py%{python3_version}.egg-info/*





